<style lang='scss' scoped>
.smartEnergy{
	width: 100%;
	padding: $paddingTB $paddingLR;
	&-menu-box{
		display: flex;
		justify-content: space-between;
		/* padding-bottom: 24rpx; */
		border-bottom: 1px solid #cfcfcf;
		width: 100%;
		padding: 30rpx 0;
		&-icon{
			padding: 8rpx;
			border-radius: 50%;
			background-color: #5FB6FF;
		}
	}
}
</style>
<template>
	<view class="smartEnergy">
		<view class="smartEnergy-menu">
			<view class="smartEnergy-menu-box" @click="goElectricityFn">
				<view class="">
					<tuiIcon class="smartEnergy-menu-box-icon" color="#ffffff" name="tubiaoshangchuanmoban"></tuiIcon>
					<text class="pl20">电量</text>
				</view>
				<u-icon name="arrow-right" ></u-icon>
			</view>
			<view class="smartEnergy-menu-box" @click="goLoadFn">
				<view class="">
					<tuiIcon class="smartEnergy-menu-box-icon" color="#ffffff" name="mima"></tuiIcon>
					<text class="pl20">负载</text>
				</view>
				<u-icon name="arrow-right" ></u-icon>
			</view>
			<view class="smartEnergy-menu-box" @click="goControlFn">
				<view class="">
					<tuiIcon class="smartEnergy-menu-box-icon" color="#ffffff" name="shezhi"></tuiIcon>
					<text class="pl20">控制管理</text>
				</view>
				<u-icon name="arrow-right" ></u-icon>
			</view>
		</view>
	</view>
</template>
<script>
	export default {
		data() {
			return {
				projectId:""
			}
		},
		onLoad(e) {
			this.projectId = e.projectId;
		},
		methods: {
			goControlFn(){
				uni.navigateTo({
					url:`./control?projectId=${this.projectId}`
				})
			},
			goLoadFn(){
				uni.navigateTo({
					url:`./load?projectId=${this.projectId}`
				})
			},
			goElectricityFn(){
				uni.navigateTo({
					url:`./electricity?projectId=${this.projectId}`
				})
			}
		}
	}
</script>
